Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class FocusListenerCollection

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.google.gwt.user.client.ui.FocusListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  DelegatingFocusListenerCollection

    public class FocusListenerCollection

extends java.util.ArrayList

A helper class for implementers of the `SourcesFocusEvents` interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `FocusListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FocusListenerCollection()`

Method Summary
`void` | `fireFocus(Widget sender)` Fires a focus event to all listeners.
`void` | `fireFocusEvent(Widget sender, Event event)` A helper for widgets that source focus events.
`void` | `fireLostFocus(Widget sender)` Fires a lost-focus event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### FocusListenerCollection

    public FocusListenerCollection()

Method Detail

### fireFocus

    public void fireFocus(Widget sender)

  Fires a focus event to all listeners.

  Parameters:
    `sender` - the widget sending the event.

### fireFocusEvent

    public void fireFocusEvent(Widget sender,
                               Event event)

  A helper for widgets that source focus events.

  Parameters:
    `sender` - the widget sending the event.
    `event` - the `DOM event` received by the widget.

### fireLostFocus

    public void fireLostFocus(Widget sender)

  Fires a lost-focus event to all listeners.

  Parameters:
    `sender` - the widget sending the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD